<ui:composition xmlns:a4j="http://richfaces.org/a4j" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns="http://www.w3.org/1999/xhtml"
                template="/layout/template.xhtml">
    <ui:param name="pageNameTitle" value="#{messages['gazelle.common.menu.AllTestRun']}"/>
    <ui:define name="body">
        #{dataTableStateHolder.setDescendingOn('id')}
        #{testInstancesOverview.setInteroperabilityTestsOnly(false)}
        #{testInstancesOverview.setMonitorWorkList(false)}

        <h:form id="globalform" styleClass="form-horizontal">
            <s:token allowMultiplePosts="true"/>
            <h:inputHidden id="filterUrlParameters" name="filterUrlParameters"
                           value="#{testInstancesOverview.filter.urlParameters}"/>
            <script>
                updateUrl("globalform:filterUrlParameters");
                $("#globalform\\:filterUrlParameters").bind('change',
                        function () {
                            updateUrl("globalform:filterUrlParameters");
                        });
            </script>

            <ui:decorate template="/layout/panels/_panel_filter_criteria.xhtml">


                <ui:include src="testInstancesCommonFilter.xhtml"/>
                <!--  monitor selection -->
                <div class="row">
                    <div class="col-lg-6">
                        <ui:include src="/filter/filter.xhtml">
                            <ui:param name="filter" value="#{testInstancesOverview.filter}"/>
                            <ui:param name="filterWidth" value="240"/>
                            <ui:param name="filterId" value="monitor"/>
                            <ui:param name="filterName" value="#{messages['gazelle.tests.test.Monitor']}"/>
                            <ui:param name="filterForm" value="globalform"/>
                        </ui:include>
                    </div>
                </div>

                <ui:define name="filter_buttons">
                    <a4j:commandLink  actionListener="#{testInstancesOverview.filter.modified()}"
                                      title="#{messages['gazelle.common.button.Refresh']}"
                                     render="globalform">
                        <span class="fa fa-refresh"/>
                    </a4j:commandLink>

                    <a4j:commandLink actionListener="#{testInstancesOverview.resetFilter()}"
                                     title="#{messages['gazelle.users.reset']}" type="submit"
                                     execute="@this" render="globalform">
                        <span class="fa fa-times-circle"/>
                    </a4j:commandLink>
                </ui:define>
            </ui:decorate>
            <s:div id="ViewTableOfTestVal">
                <s:div id="allTestInstancePanel" rendered="#{testInstancesOverview.tests.size()&gt;0}">
                    <ui:include src="testInstancesListPanel.xhtml">
                        <ui:param name="dataTableHeader" value="#{messages['gazelle.tests.tests']}"/>
                        <ui:param name="varList" value="#{testInstancesOverview.tests}"/>
                        <ui:param name="varTableId" value="allTI"/>
                    </ui:include>
                </s:div>
            </s:div>
        </h:form>

    </ui:define>
</ui:composition>
